#ifndef MINORI_GUI_DIALOG_DIALOG_H_
#define MINORI_GUI_DIALOG_DIALOG_H_

/* generic dialog widget; this abstracts away the win32 title bar hackery */
#include <QDialog>

class Dialog : public QDialog {
	Q_OBJECT

public:
	Dialog(QWidget *parent = nullptr) : QDialog(parent) {}

protected:
	void showEvent(QShowEvent *event) override;
};

#endif // MINORI_GUI_DIALOG_DIALOG_H_
